events.listen("recipes", function (e) {
  //fonction pour thermal
  function EssenceInThermal(Type, item) {
    e.custom({
      type: "thermal:insolator",
      ingredient: {
        item: Type + ":" + item + "_seeds",
      },
      result: [
        {
          item: Type + ":" + item + "_essence",
          chance: 1.0,
        },
        {
          item: Type + ":" + item + "_seeds",
          chance: 1.0,
        },
      ],
    });
  }

  EssenceInThermal("mysticalagriculture", "alfstein");
  EssenceInThermal("mysticalagriculture", "tanium");
  EssenceInThermal("mysticalagriculture", "compressed_iron");
  EssenceInThermal("mysticalagriculture", "starmetal");
  EssenceInThermal("mysticalagriculture", "fiery_ingot");
  EssenceInThermal("mysticalagriculture", "knightmetal");
  EssenceInThermal("mysticalagriculture", "fluorite");
  EssenceInThermal("mysticalagriculture", "rose_gold");
  EssenceInThermal("mysticalagriculture", "cobalt");
  EssenceInThermal("mysticalagriculture", "yellorium");
  EssenceInThermal("mysticalagriculture", "cyanite");
  EssenceInThermal("mysticalagriculture", "apatite");
  EssenceInThermal("mysticalagriculture", "marble");
  EssenceInThermal("mysticalagriculture", "limestone");
  EssenceInThermal("mysticalagriculture", "basalt");
  EssenceInThermal("mysticalagriculture", "tinkers_bronze");
  EssenceInThermal("mysticalagriculture", "slimesteel");
  EssenceInThermal("mysticalagriculture", "pig_iron");
  EssenceInThermal("mysticalagriculture", "steeleaf");
  EssenceInThermal("mysticalagriculture", "ironwood");
  EssenceInThermal("mysticalagriculture", "aquamarine");
  EssenceInThermal("mysticalagriculture", "ruby");
  EssenceInThermal("mysticalagriculture", "sapphire");
  EssenceInThermal("mysticalagriculture", "draconium");
  EssenceInThermal("mysticalagriculture", "rock_crystal");
  EssenceInThermal("mysticalagriculture", "hepatizon");
  EssenceInThermal("mysticalagriculture", "queens_slime");
  EssenceInThermal("mysticalagriculture", "manyullyn");
});
